Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20408

Description

Under Labelling -> Placement, there's a "priority" bar which ranges from "low" to "high". I'm just guessing here, but I suppose this bar is

meant to show important the underlying feature is, and therefore whether a label can be placed on it (there's no reference to it under the

"help" button help).

If my data is a point feature, and I have symbolised it with a style, QGIS still places the label over the symbol, no matter how high/low I set

this value.

History

#1 - 2015-02-21 03:41 PM - Anita Graser

- Category changed from Labelling to Documentation and Help

As far as I know, the priority influences the label priority. This means that layers with higher priority will be preferred when resolving label collisions with

other layers. This does not affect whether labels cover symbols.

I'm therefore changing the category to documentation since the intended behavior should be documented.

#2 - 2015-02-21 03:55 PM - Anita Graser

- Subject changed from "Priority" does nothing for sumbolised points to "Priority" does nothing for symbolised points

#3 - 2015-02-23 03:05 PM - Giovanni Manghi

- Subject changed from "Priority" does nothing for symbolised points to Document better the "priority" functionality for labels

Anita Graser wrote:

As far as I know, the priority influences the label priority. This means that layers with higher priority will be preferred when resolving label collisions

with other layers.

yes, that's it.

#4 - 2015-03-05 06:22 AM - Alexander Bruy

- Status changed from Open to Closed
Moved to GitHub issues, see https://github.com/qgis/QGIS-Documentation/issues/468
https://github.com/qgis/QGIS-Documentation/issues/468

